Subject: [PATCH] Make preview-region work outside LaTeX-mode buffers

From: Paul Nelson <[email-masked]>
Date: Sat, 27 Apr 2024 15:52:14 +0200

This patch has no effect on existing behavior (in LaTeX-mode), but
makes it so that preview-region works in any non-LaTeX-mode buffer for
which TeX-master has been set to a valid tex file.  This is intended
for internal use by other packages.  For example, I've been using
something equivalent to this to preview org-mode LaTeX source blocks,
tex code in Lean4 comments, (...).

(One could avoid this patch by manually initializing TeX-header-end
and TeX-trailer-start before calling preview-region, but it seems
better to me to provide working defaults as in the patch.  Any
feedback would be welcome, of course.)

Thanks, best,

Paul